Method: routers.getNamedSet

Returns specified Named Set

HTTP request

GET https://compute.googleapis.com/compute/beta/projects/{project}/regions/{region}/routers/{router}/getNamedSet

The URL uses gRPC Transcoding syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the service error catalog

Path parameters

Parameters
project

string

Project ID for this request.

region

string

Name of the region for this request.

router

string

Name of the Router resource to query for the named set. The name should conform to RFC1035.

Query parameters

Parameters
namedSet

string

The Named Set name for this request. Name must conform to RFC1035

Request body

The request body must be empty.

Response body

If successful, the response body contains data with the following structure:

JSON representation
{
  "resource": {
    "name": string,
    "type": enum,
    "elements": [
      {
        "expression": string,
        "title": string,
        "description": string,
        "location": string
      }
    ],
    "fingerprint": string,
    "description": string
  },
  "etag": string
}
Fields
resource

object

resource.name

string

This set's name, which must be a resource ID segment and unique within all named sets owned by the Router. Name should conform to RFC1035.

resource.type

enum

This named set's type

resource.elements[]

object

CEL expressions that are comparable to constructs of this set's type (see Policy Language).

resource.elements[].expression

string

Textual representation of an expression in Common Expression Language syntax.

resource.elements[].title

string

Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.

resource.elements[].description

string

Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.

resource.elements[].location

string

Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.

resource.fingerprint

string (bytes format)

A fingerprint for the Named Set being applied to this Router, which is essentially a hash of the Named Set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update the Named Set. You must always provide an up-to-date fingerprint hash in order to update or change labels.

To see the latest fingerprint, make a getNamedSet() request to retrieve a Named Set.

A base64-encoded string.

resource.description

string

An optional description of named set.

etag

string

end_interface: MixerGetResponseWithEtagBuilder

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/compute.readonly
  • https://www.googleapis.com/auth/compute
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:

  • compute.routers.getNamedSet

To find predefined roles that contain those permissions, see Compute Engine IAM Roles.